# DomainA.h File Reference

`#include "ace/config-all.h"`
`#include "tao/AnyTypeCode/TAO_AnyTypeCode_Export.h"`
`#include "tao/AnyTypeCode/AnyTypeCode_methods.h"`
`#include "tao/DomainC.h"`

Include dependency graph for DomainA.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | CORBA

## Defines

#define | TAO_EXPORT_MACRO TAO_AnyTypeCode_Export

## Functions

TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, CORBA::DomainManager_ptr)
TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, CORBA::DomainManager_ptr *)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::DomainManager_ptr &)
TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, CORBA::ConstructionPolicy_ptr)
TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, CORBA::ConstructionPolicy_ptr *)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::ConstructionPolicy_ptr &)
TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, const CORBA::DomainManagerList &)
TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, CORBA::DomainManagerList *)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::DomainManagerList *&)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::DomainManagerList *&)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_AnyTypeCode_Export

## Function Documentation

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::DomainManagerList * |
| ) |

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::DomainManagerList & |
| ) |

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::ConstructionPolicy_ptr * |
| ) |

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::ConstructionPolicy_ptr |
| ) |

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::DomainManager_ptr * |
| ) |

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::DomainManager_ptr |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::DomainManagerList *& |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::DomainManagerList *& |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::ConstructionPolicy_ptr & |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::DomainManager_ptr & |
| ) |